%{?nodejs_find_provides_and_requires}

%global packagename passport-http-bearer
%global enable_tests 1

Name:		nodejs-passport-http-bearer
Version:	1.0.1
Release:	3%{?dist}
Summary:	HTTP Bearer authentication strategy for Passport

License:	MIT
URL:		https://github.com/jaredhanson/passport-http-bearer
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(passport-strategy)
%if 0%{?enable_tests}
BuildRequires:	npm(chai)
BuildRequires:	npm(chai-passport-strategy)
BuildRequires:	npm(mocha)
%endif

%description
HTTP Bearer authentication strategy for Passport.


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package

%if 0%{?enable_tests}
# Fix the syntax for the tests
sed -ibak 's/chai.passport(/chai.passport.use(/' test/*.js
%endif

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec --require test/bootstrap/node test/*.test.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc
%license
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan  7 2017 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-1
- Initial packaging
